{
  "name": "learn-mba-online",
  "version": "1.0.0",
  "description": "紫荆教育MBA学习系统",
  "main": "index.js",
  "scripts": {
    "lint": "eslint --ext .js --ext .jsx --ext .vue client/",
    "lint:fix": "eslint --fix --ext .js --ext .jsx --ext .vue client/",
    "env:pro": "gulp --gulpfile build/gulpfile.js && eslint --fix --ext .js build-dist/",
    "dev": "cross-env NODE_ENV=development SERVER_PORT=3318 webpack-dev-server --inline --progress --config build-dist/webpack.client.conf.js",
    "build": "cross-env NODE_ENV=production webpack --progress --config build-dist/webpack.client.conf.js && gulp --gulpfile build-dist/copyAndZip.js && n use 8.11.3 ./build-dist/uploadAliyunCDN.js",
    "test": "cross-env NODE_ENV=test SERVER_PORT=12002 pm2 start server/distRun.js -i 1 -n elearning-enterprise -o pm2_logs/pm2_elearning-enterprise.stdout.log -e pm2_logs/pm2_elearning-enterprise.stderr.log --log-date-format 'YYYY-MM-DD HH:mm Z'",
    "test-pro": "cross-env NODE_ENV=production SERVER_PORT=3100 pm2 start server/distRun.js -i 1 -n elearning-enterprise -o pm2_logs/pm2_elearning-enterprise.stdout.log -e pm2_logs/pm2_elearning-enterprise.stderr.log --log-date-format 'YYYY-MM-DD HH:mm Z'",
    "deployTest": "cross-env NODE_ENV=test SERVER_PORT=3318 pm2 start /var/www/elearning-enterprise/server/distRun.js -i 2 -n elearning-enterprise -o /data2/logs/pm3/pm2_elearning-enterprise.stdout.log -e /data2/logs/pm3/pm2_elearning-enterprise.stderr.log --log-date-format 'YYYY-MM-DD HH:mm Z'",
    "deploy": "cross-env NODE_ENV=production SERVER_PORT=3318 pm2 start /var/www/elearning-enterprise/server/distRun.js -i 2 -n elearning-enterprise -o /data2/logs/pm3/pm2_elearning-enterprise.stdout.log -e /data2/logs/pm3/pm2_elearning-enterprise.stderr.log --log-date-format 'YYYY-MM-DD HH:mm Z'",
    "reload": "pm2 reload elearning-enterprise"
  },
  "repository": {
    "type": "git",
    "url": "https://git.ezijing.com/zhangyanxin/learn-mbaOnline.git"
  },
  "keywords": [
    "MBA、在线学习、紫荆教育、教育"
  ],
  "author": "zhangyanxin",
  "license": "ISC",
  "eslintIgnore": [
    "client-dist/",
    "node_modules/",
    "static/"
  ],
  "devDependencies": {
    "acorn": "^6.0.4",
    "ali-oss": "^6.0.2",
    "autoprefixer": "^9.3.1",
    "babel-core": "^6.26.3",
    "babel-eslint": "^10.0.1",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-loader": "^7.1.5",
    "babel-plugin-syntax-dynamic-import": "^6.18.0",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-vue-jsx": "^3.7.0",
    "babel-preset-env": "^1.7.0",
    "babel-preset-stage-2": "^6.24.1",
    "bootstrap": "^4.1.3",
    "clean-webpack-plugin": "^1.0.0",
    "css-loader": "^1.0.1",
    "cssnano": "^4.1.7",
    "element-ui": "^2.4.11",
    "eslint": "^5.9.0",
    "eslint-config-standard": "^12.0.0",
    "eslint-loader": "^2.1.1",
    "eslint-plugin-html": "^4.0.6",
    "eslint-plugin-import": "^2.14.0",
    "eslint-plugin-node": "^8.0.0",
    "eslint-plugin-promise": "^4.0.1",
    "eslint-plugin-standard": "^4.0.0",
    "file-loader": "^2.0.0",
    "gulp": "^3.9.1",
    "gulp-clean": "^0.4.0",
    "gulp-if": "^2.0.2",
    "gulp-replace": "^1.0.0",
    "gulp-sequence": "^1.0.0",
    "gulp-util": "^3.0.8",
    "gulp-zip": "^4.2.0",
    "html-webpack-plugin": "^3.2.0",
    "jquery": "^3.3.1",
    "js-md5": "^0.7.3",
    "mini-css-extract-plugin": "^0.4.5",
    "node-sass": "^4.10.0",
    "optimize-css-assets-webpack-plugin": "^5.0.1",
    "postcss-loader": "^3.0.0",
    "sass-loader": "^7.1.0",
    "style-loader": "^0.23.1",
    "uglifyjs-webpack-plugin": "^2.0.1",
    "url-loader": "^1.1.2",
    "vue": "^2.5.17",
    "vue-loader": "^15.4.2",
    "vue-router": "^3.0.2",
    "vue-template-compiler": "^2.5.17",
    "webpack": "^4.26.1",
    "webpack-cli": "^3.1.2",
    "webpack-dev-server": "^3.1.10",
    "webpack-merge": "^4.1.4"
  },
  "dependencies": {
    "@god/node-com": "^1.0.1",
    "adm-zip": "^0.4.13",
    "axios": "^0.18.0",
    "body-parser": "^1.18.3",
    "child_process": "^1.0.2",
    "connect-history-api-fallback": "^1.5.0",
    "cross-env": "^5.2.0",
    "express": "^4.16.4",
    "express-session": "^1.15.6",
    "form-data": "^2.3.3",
    "install": "^0.12.2",
    "lodash": "^4.17.11",
    "md5-node": "^1.0.1",
    "multer": "^1.4.1",
    "promise.prototype.finally": "^3.1.0"
  }
}
